package cn.com.taiji.entity;

import cn.hutool.core.util.StrUtil;
import lombok.Data;

import java.io.Serializable;


@Data
public class BeidouShipTrackDTO implements Serializable {

    private static final long serialVersionUID = -8983779632713666636L;

    /**
     * {
     *   "id": "eaa8d1cd0cb740c1a49b6068bd6ea9c0",
     *   "content": "118887151,15010427,255,255,255,2023-02-09 15:30:04.000,2023-02-09 15:30:02.146,1,819.1,409.5,255,109.922777,18.3985,0.0,0.0,3,陵0102016,0,CJG_SN210100,1,34,2023-02-09 15:30:07.587",
     *   "curren_time": "2023-02-09 15:30:06",
     *   "trackId": 118887151,
     *   "deviceId": 15010427,
     *   "shipType": 255,
     *   "workType": 255,
     *   "workWay": 255,
     *   "sendTime": "2023-02-09 15:30:04.000",
     *   "locationTime": "2023-02-09 15:30:02.146",
     *   "online": 1,
     *   "shipLength": 819.1,
     *   "shipWidth": 409.5,
     *   "texture": 255,
     *   "longitude": 109.922777,
     *   "latitude": 18.3985,
     *   "direction": 0.0,
     *   "speed": 0.0,
     *   "kwh": 3,
     *   "shipName": "陵0102016",
     *   "isPatrol": "0",
     *   "gisShipPort": "CJG_SN210100",
     *   "gisShipMaterial": "1",
     *   "gisShipUse": "34",
     *   "receiveTime": "2023-02-09 15:30:07.587"
     * }
     */

    private String id;
    private String content = "CJG_SN210089,1,12,2023-02-09 15:13:41.633";
    private String curren_time;
    private Integer trackId;
    private Integer deviceId;
    private Integer shipType = 255;
    private Integer workType = 255;
    private Integer workWay = 255;
    private String sendTime;
    private String locationTime;
    private Integer online = 1;
    private Double shipLength = 819.1;
    private Double shipWidth = 409.5;
    private Integer texture = 255;
    private Double longitude = 110.48175;
    private Double latitude = 18.775388;
    private Double direction = 0.0;
    private Double speed = 0.0;
    private Integer kwh = 1;
    private String shipName;
    private String isPatrol = "0";
    private String gisShipPort = "CJG_SN210089";
    private String gisShipMaterial = "1";
    private String gisShipUse = "12";
    private String receiveTime;

}
